From 730c592561f97748df02ca22510abe2e181e206a Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Thu, 15 Aug 2024 22:19:23 +0800
Subject: [PATCH 15/21] monitor_apple.m: no HDR before 10.11

---
 src/detection/monitor/monitor_apple.m | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/src/detection/monitor/monitor_apple.m b/src/detection/monitor/monitor_apple.m
index 70d71eeb..009577c9 100644
--- a/src/detection/monitor/monitor_apple.m
+++ b/src/detection/monitor/monitor_apple.m
@@ -7,15 +7,21 @@
 #import <Foundation/Foundation.h>
 #import <CoreGraphics/CoreGraphics.h>
 
+#include <AvailabilityMacros.h>
+
 #ifdef MAC_OS_X_VERSION_10_15
 extern CFDictionaryRef CoreDisplay_DisplayCreateInfoDictionary(CGDirectDisplayID display) __attribute__((weak_import));
 #else
 #include <IOKit/graphics/IOGraphicsLib.h>
+#ifndef MAC_OS_X_VERSION_10_8
+#define CoreDisplay_IODisplayCreateInfoDictionary IODisplayCreateInfoDictionary
+#endif
 #endif
 
 static bool detectHdrSupportWithNSScreen(FFDisplayResult* display)
 {
     NSScreen* mainScreen = NSScreen.mainScreen;
+#if MAC_OS_X_VERSION_MIN_REQUIRED >= 101100
     if (display->primary)
     {
         #ifdef MAC_OS_X_VERSION_10_15
@@ -40,6 +46,7 @@ static bool detectHdrSupportWithNSScreen(FFDisplayResult* display)
             }
         }
     }
+#endif
     return false;
 }
 
-- 
2.46.0

